
QGIS Application - Bug report #21073

QGIS3 3.4.4 cannot be opened because of a problem - Crash on launch

2019-01-22 09:50 PM - Philip Kampf

Status: Closed

Priority: High

Assignee:

Category: mac_os_specific

Affected QGIS version:3.4.4 Regression?: No

Operating System: OS 10.14.3 Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:Yes Copied to github as #: 28891

Description

Just downloaded QGIS 3.4.4, running OS 10.14.3, cannot launch newly installed version. Prior to downloading, had uninstalled

QGIS/GDAL following instructions on saved readme file and using cleanmymac to uninstall application itself.

Immediately goes to crash report, attached text file below. Let me know if I can provide anything further.

History

#1 - 2019-01-22 10:00 PM - Philip Kampf

Have deleted all contents in Users/User/Library/Application Support/QGIS, but this does not work as solution as in previous releases

Found similar issue, not sure how to implement in this release -

https://github.com/lutraconsulting/qgis-mac-packager/issues/2

#2 - 2019-01-22 10:37 PM - Giovanni Manghi

- Category changed from Unknown to mac_os_specific

- Priority changed from Normal to High

#3 - 2019-01-23 08:08 AM - Saber Razmjooei

Have you tried to use packages from here:

https://lutraconsulting.github.io/qgis-mac-packager/

#4 - 2019-01-23 05:27 PM - Philip Kampf

Saber Razmjooei wrote:

Have you tried to use packages from here:

https://lutraconsulting.github.io/qgis-mac-packager/

I have not, thank you, I'll give it a shot.

#5 - 2019-01-23 05:39 PM - Philip Kampf
Saber Razmjooei wrote:

Have you tried to use packages from here:

https://lutraconsulting.github.io/qgis-mac-packager/

The 3.4.4 package from lutra consulting worked, thank you Saber

#6 - 2019-01-24 04:44 PM - Alessandro Pasotti

- Status changed from Open to Closed

- Resolution set to invalid

#7 - 2019-01-24 08:16 PM - Saber Razmjooei

@Elpaso, not sure my work-around addressed the issue :)

The official QGIS package for macOS still has the issue. There are some suggestions on the mailing list as a better solution.

Files

qgis3_4_4_crash_report_20190122.rtf 7.21 KB 2019-01-22 Philip Kampf
